<?php

namespace App\ViewModels\AgendaEspecialidade\AgendaEspecialidadeDisponibilidadeDetailsViewModel;

use App\Utils\Entity;

class AgendaEspecialidadeDisponibilidadeDetailsViewModel extends Entity {
	protected $idUnidade;
	protected $idEspecialidade;
	protected $dataInicial;
	protected $dataFinal;
	protected $horaInicial;
	protected $horaFinal;

	public static function builder() {

		return new AgendaEspecialidadeDisponibilidadeDetailsViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdEspecialidade() {

		return $this->idEspecialidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataInicial() {

		return $this->dataInicial;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataFinal() {

		return $this->dataFinal;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraInicial() {

		return $this->horaInicial;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraFinal() {

		return $this->horaFinal;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;

	}

	/**
	 *
	 * @param mixed $idEspecialidade
	 */
	public function setIdEspecialidade($idEspecialidade) {

		$this->idEspecialidade = $idEspecialidade;

	}

	/**
	 *
	 * @param mixed $dataInicial
	 */
	public function setDataInicial($dataInicial) {

		$this->dataInicial = $dataInicial;

	}

	/**
	 *
	 * @param mixed $dataFinal
	 */
	public function setDataFinal($dataFinal) {

		$this->dataFinal = $dataFinal;

	}

	/**
	 *
	 * @param mixed $horaInicial
	 */
	public function setHoraInicial($horaInicial) {

		$this->horaInicial = $horaInicial;

	}

	/**
	 *
	 * @param mixed $horaFinal
	 */
	public function setHoraFinal($horaFinal) {

		$this->horaFinal = $horaFinal;

	}

}

